Password Door Help

  • Getting Started
  • Protecting Programs - Basic
    • Various Ways to Protect Programs
    • Using Different Protection Modes
    • Setting Separate Passwords
  • Protecting Programs - Expert
    • Explaining Protection Items
    • Using Filters
    • Using Schedule Options
    • Using Multiple Protection Items
    • Other Protection Item Settings
  • Using Password Door
    • Protect a Program
    • View & Manage Protected Programs
    • Activate/Deactivate Protection
    • Change Admin Password
    • Color Scheme, Font & Language
    • Advanced Settings
  • Miscellaneous Topics & Hints
    • Matrix Password
    • EXE Identity
    • Rechecking Allowed Programs
    • Language Files
    • Always Ask for Password
    • Special Programs
    • UAC Warning on Vista/7
    • Backup & Restore
    • Command Line Switches
  • Support & Purchasing

Help Index | © TopLang software


Getting Started

The following sections show the steps of using Password Door to protect programs on your computer.

1. Downloading & Installing

If you have not downloaded and installed Password Door, you can download the latest version on our website, and install it onto your computer.

It is easy to install Password Door, basically you only need to specify an admin password, click the button "Next" several times in the setup wizard to complete the installation.

If there is an old version of Password Door installed on your computer, please uninstall it first. Installing the new version directly over the existing version may cause problems.

2. Setting Admin Password

During installation, the Setup asks you to specify an admin password for Password Door. Admin password is very important and it is always highly recommended to use an admin password to protect the Password Door itself.

It's important to use an admin password to protect Password Door itself; otherwise anyone can access the Password Door main program to remove existing protection.

If you didn't set the admin password or if you want to change the admin password, you can click Change Admin Password in the main window of Password Door to change the admin password at any time.

3. Starting to Protect Programs

Now you can start to protect programs on your computer.

There are various ways to protect a program, the Drag & Drop features are always recommended because it's much easier to protect programs quickly by using the drag & drop features:

  • Drag a program file (.exe), or the shortcut to a program file, to the main window of Password Door to protect it.
  • Drag the icon [image] to any window to protect the target program.

Or you can protect a program in the classic way:

  1. Click Protect a Program on main window of Password Door, the page "Protect a program" will show.
  2. Choose the program you want it to be protected in the list box, and then click Protect... to protect it.

    If the program is not in the list, you can click the browse button [image] to browse and select the program (.exe) directly.

The page "Protection item" with the information about the program shows after you protected a program, click OK to confirm the protection.

Before confirm the protection, you can also change the protection mode, or set a separate password to it.

For more information, see Various Ways to Protect Programs.

4. Using Protected Programs

Once a program has been password protected, anyone who wants to run the protected program will be asked for password first.

Only if the correct password is inputted, the program then can continue, otherwise the user is not able to use the program and the program will be closed.

The password can be a separate password for the program only, or the admin password. Admin password always can be used to run all protected programs.

A program can also be directly denied by using the protection mode "deny", users will not be able to use the program and it won't give users the chance to input password to use the program.


Protecting Programs

The following sections introduce how to protect programs with Password Door and, how to use the settings in protection items to protect programs in different ways.

  • Explaining Protection Items
  • Various Ways to Protect Programs
  • Using Different Protection Modes
  • Setting Separate Passwords
  • Using Filters
  • Using Schedule Options
  • Using Multiple Protection Items
  • Other Protection Item Settings
Explaining Protection Items

Password Door protects programs by using protection items. Protection items can be considered as rules. A protection item decides if users can use the target program, or will need to enter a password to start the program.

When you protect a program, you actually add a protection item to Password Door, so that Password Door will then know how to protect the program by checking the protection item.

When you protect a program, a new protection item will be created, you must confirm it by clicking OK to actually save it to Password Door.

Because advanced features such as filters, schedule options will cause a program being affected by multiple protection items, or multiple programs being affected by a single protection item, the order of the protection items matters.

To manage the existing protection items, Click View & Modify Protected Programs on the main window of Password Door.

Normally you only need to use the standard settings to protect programs. The advanced settings and schedule options are for advanced usages only.

Various Ways to Protect Programs

It's easy to protect a program after you installed Password Door, there are various methods to add a program to be protected.

  • Drag the target icon [image] to main window of any program to protect it

    The target icon is on the top right of the main window. You can drag that icon to the main window of any program to protect the program the window belongs to.

    This is the recommended method to protect a program, Password Door has the built-in intelligent to automatically use special settings for special programs. For examples the programs launched by rundll32.exe or dllhost.exe.

  • Drag a program file or shortcut to Password Door

    You can drag a program file (.exe) or a shortcut, to the main window of Password Door, then the program will be protected by Password Door.

  • Choose a program from installed programs list

    Click Protect a Program on the main window of Password Door, then choose any item in the installed programs list, and then click Protect... to protect the program.

    You can click Rescan installed programs... to let Password Door search for installed programs on your computer again at any time.

  • Browse for and choose a program directly

    Click Protect a Program on the main window of Password Door, then click the browse button [image] to choose a program to protect.

A Protection item page with the program information is shown after you protected a program with any of the methods, you need to click OK to confirm the protection. Only if you confirm it, it then will be actually saved and take effect, otherwise the protection item will be dropped.

If you want, you can change the protection mode, or set a separate password to the protection item, or change any other settings, before you confirm the protection.

All protection items can be freely modified later.

Using Different Protection Modes

By default, when you add a protection item to protect a program, the default protection mode is Password Protect, which means that the program will be password protected, anyone who tries to use the protected program will be asked for the password first.

The protection mode in a protection item can be changed, Password Door supports the following protection modes:

  • <Disabled>

    The protection item is disabled so that the Password Door will skip this item when checking for protection.

    Normally this causes the protection of the target program being disabled. But if there are multiple protection items for the same program, the program can still be protected by other protection items.

    This actually is not a protection mode, it is useful if you just want to disable the protection temporarily instead of removing it, so that you can reuse it later.

  • Allow

    The target program in this protection item is allowed, it will not ask for password when a user tries to use it.

    This mode acts as there is no protection for the target program, but it's useful when use advanced settings or schedule options.

  • Deny

    The protected program will be denied directly without asking for password, users are not allowed to use the protected program.

  • Password Protect (Default)

    This is the default protection mode, users will be asked for password first before they can use the protected program.

To modify the protection mode of existing protection items, click View & Manage Protected Programs on the main window of Password Door, then double-click at any of the items in the list of Protection manager to modify the protection item. In the protection item page, choose a protection mode in the drop down box.

Setting Separate Passwords

For a password protected program, users must input the correct password to continue to use it.

By default the password is the admin password, which is the same password for protecting Password Door itself. The admin password is a master password which can always be used to start a password protected program.

If you don't want to share the admin password with other users, and still want them to be able to use the protected program on your computer, then you can set a separate password for the protection item. Users can use the separate password to start the target program.

If you use schedule options, the separate passwords for protection items are also useful if you want to use different passwords for a single program in different time range. You can, for example, use a protection item with password A to protect a program in between 7:00 AM to 5:00 PM, and use another protection item with password B to protect a program all other time. See also Using Multiple Protection Items and Using Schedule Options.

To set/modify the password for a protection item, click Change... then input the password twice and click OK to confirm.

Matrix password is a new type of password in Password Door, you can use matrix password instead of the normal password for any protection item.

Using Filters

A protection item can have a filter for advanced protection.

The filter is in the Advanced page of a protection item, it can be any string to filter the window class name, title and/or the file name, and supports wildcard.

The icon [image] on that page can be dragged to a window to get the filter. Once you dragged and dropped it to a window, a popup menu shows to let you choose which filter you want to use (the class name, window title or the file name).

In old version, the filter was called class name and window title. In version 9, Password Door uses a single filter and it can be a class name, window title and/or the file name depending on what you want it to be.

The filter logic right after the filter string decides how to use the filter:

  • Match either path or filter (OR, Default)
    In addition to other settings, the programs that match the filter will also be protected.
  • Match both path & filter (AND)
    Only programs that match both other settings and the filter will be protected.
  • Exclude the filter (NOT)
    If a program matches the filter, it will not be protected by this protection item.

You can use filter to protect a set of programs with one protection item, or exclude special situation while protecting a program, for example: *pad filters both Notepad and WordPad.

The check boxes under the filter, tell Password Door how to use the filter. Only if the option "Wildcard" is enabled, special characters (*, ?) are considered wildcard characters; otherwise they are only normal characters as the others.

Special limit for filtering windows title:

Password Door only filters the original title (caption) for a window. If the window changed its title after it was created, Password Door doesn't check the title again.

Notepad's original title was "Notepad", but it changes its title to "Untitled - Notepad" after it was launched, or "File name - Notepad" if you opened a text document with it. If you try to use a filter "Untitled - Notepad" to filter the title only, that will not work. You must use the original title "Notepad", or filter the class name, file name, or use wildcard filter such as "*Notepad".

Avoid using filters that only have wildcard characters, such as *, *?*, ?*?, and so on, since a pure wildcard filter may affect ALL programs.

Using Schedule Options

Password Door supports schedule options, you can set any program to be protected daily, weekly, monthly. For example you can set a program to be protected 9:00 AM to 4:00 PM every day, or set a program to be protected every Sunday.

To use schedule options, click Schedule in the protection item page.

By default a protection item doesn't use schedule options, so it is "Always" in the schedule option drop box, which means the protection item will be always enabled. To use schedule options, you must first change it to Daily, Weekly or Monthly, and then you can select the days and the hours you want this protection item to be enabled at.

Schedule options can use internet time to avoid bypassing the protection by changing the system time, you can enable the internet time for schedule options in Advanced Settings.

The value in the "What to do in disabled hours" drop box is important, it tells Password Door what to do when the current time (day and hour) is not selected in this protection item:

  • Simply skip this protection item (Default)

    This protection item will be simply skipped, as it is in disabled state. Password Door will simply skip this protection item and continue to check the next one.

    If Password Door can not find another protection item that matches the target program, then the program will be allowed because none are protecting it.

    The programs were allowed by this protection item, and are still running, will not be checked again so that they will be still allowed.

  • Skip and recheck allowed programs

    Password Door will skip this protection item, as it does when the above value is selected.

    And, it will do an additional task: recheck the already allowed programs, to see if the allowed programs can still be allowed, or must be closed, or users need to input password again, depending on if it can find another protection item and the settings of that protection item.

    See also Rechecking Allowed Programs.

  • Deny and recheck allowed programs

    The target program will be denied, no matter what the current protection mode is in this protection item. This is, newly launched instances of the program will be all denied.

    The additional task will also be done: Password Door rechecks the already allowed programs, and because the protection is denied now, all running programs allowed by this protection item, will be closed.

    This is useful because you can use it to allow a program only in the days and hours you selected, without the needs of using multiple protection items for a single program.

    For example: if you want to allow notepad only in 9:00 AM, you normally need to use two protection items: one item allows notepad at 9:00 AM every day, and another item denies notepad all the time. With this value, you only need one single protection item to allow notepad at 9:00 AM.

    See also Rechecking Allowed Programs.

Click on any day/hour to switch the selection, you also can click on one day/hour and hold the mouse button, then move mouse to change the selection for multiple days/hours (the selection state is decided by the first day/hour you clicked on).

A disabled day/hour disables the protection item, It's NOT to disable (deny) the target program. What Password Door will do in a disabled day/hour for a protection item, depends on the option in "What to do in disabled hours".

Using Multiple Protection Items

Normally, one protection item protects one single program.

If you have read the section Using Filters, you already knew that by using filter, a single protection item can protect multiple programs.

On the other hand, multiple protection items can be added for protecting a single program, Password Door always allows you to do that. But if you don't use schedule options or advanced options, protecting a program multiple times is pointless.

This section explains why sometimes we need to use multiple protection items for one program and how those protection items work.

You actually do not need to use this technology in most cases, so do not use it unless you really need to.

Even when you plan to use schedule options, single protection item is already enough in most cases because there is the option "Deny and recheck allowed programs" in the schedule options can be used. See Using Schedule Options for details.

When will you need to use multiple protection items for one single program? When you want to use complex schedule options.

Important notice:
When use multiple protection items for a single program, those protection items must be set the option "what to do in disabled hours" in schedule options, to "Simply skip this protection item" or "Skip and recheck allowed programs", so that the chain can be checked as designed. Otherwise only the first protection item will be used and the program will be denied all other time.

Let's use an example: If you want a program to be allowed directly every Sunday, and to be password protected all other time, but you also want it to be fully blocked 9:00 PM - 8:00 AM every day.

The schedule options in a single protection item can not do that, there are 3 conditions, a single protection item can only take care two of them.

We can use 3 protection items to do that:

  1. Deny the program in between 9:00 AM to 8:00 AM (daily).
  2. Allow the program every Sunday (weekly).
  3. Password protect the program all other time (always).

You may have noticed that the order of the protection items is important. In the example above, the program is blocked 9:00 PM to 8:00 AM every day, including the Sunday. This is because the highest protection item will be checked first.

If we use the protection items in a different order:

  1. Allow the program every Sunday (weekly).
  2. Deny the program in between 9:00 AM to 8:00 AM (daily).
  3. Password protect the program all other time (always).

It's obvious that the program will be always allowed on every Sunday, even the time is in between 9:00 PM to 8:00 AM.

So once again, the order of protection items matters.

Other Protection Item Settings
Standard - Program name:

The name of the protection item. Password Door automatically specifies a name to each newly created protection item, you can change the name here. Name can be empty and the path will be used as the name.

Standard - Program path:

The path to the target program. This is the most important information for a protection item, the path tells Password Door what the target program is.

Path can not be empty, or the protection item won't be saved. If you want to use filter to protect programs rather than the path, you can use a fake path such as "nopath", "Unknown", "Don't care" etc.

Advanced - Limit use time per day:

If you set a value greater than 0 (zero), this option is enabled and the users will only be allowed to use the target program for the time period you specified in a day.

If it reaches the max hours, then Password Door will recheck all the running instances of the allowed program, and terminate those instances after rechecked.

See also Rechecking Allowed Programs.

Advanced - Recheck allowed programs when idle:

If the system is idle (this is, no mouse and keyboard inputs) for the time period you specified, Password Door rechecks the running programs allowed by this protection item.

If the protection mode is "Password Protect", then the allowed programs will ask for password again. It is possible that the protection for an allowed program has become "Deny" when the time it is being rechecked (You have changed the configuration or it now is affected by another protection item), it will be closed in this case.

See also Rechecking Allowed Programs.

Advanced - More advanced settings in the list box:

These settings are in the list box of a protection item advanced settings page.

DO NOT change the following advanced settings if you don't know what they mean. Password Door automatically uses special advanced settings for some programs, changing them may cause problems.

  • If a program is allowed:

    If a program has been allowed, then one of the following options tells Password Door what to do:

    • Allow all subsequent instances of it (Default)

      New instances of the same program can be freely launched as long as there is at least one instance running, Password Door will not ask for password for the program again.

      If you closed all instances of the program, Password Door will ask for password again if you then try to launch the first instance of the program.

      This is the default option, and is useful for programs like Internet Explorer: each time you open a new Internet Explorer window, the system creates a new instance of it, you don't want Password Door to ask for password for each of the instances since you have allowed one of them.

    • Allow the program only

      Treat every new instance of the program as a new program and check the protection for each of the instances, even there is already an allowed instance running.

      Password Door checks the protection (and ask for password if the protection mode is "Password Protect") for the program every time you start a new instance of it.

      New instances are not new windows, most programs create new windows in the same instance; even there are many windows, there is only one single instance for most programs. So for most programs, the effect of this option is same to the default one above.

    • Always ask for password for each window

      Password Door asks for password for each new created window. Internally, no entry will be saved to the internal database of Password Door, so each newly created window will be checked.

      This is a replacement for the old option Always ask for password.

  • If a program is denied:

    A program will be denied if user can not provide the correct password, or the protection mode of the matched protection item has been set to be Deny. When the program is denied, one of the following options tells Password Door what to do:

    • Terminate the program (Default)

      Terminate the target program immediately, there is no chance to save data, the program will be closed directly.

    • Close the window only

      Close the current window of the target program.

      In most cases, closing the current window will cause the program to be terminated. For some programs (e.g. Windows Explorer, Outlook etc.), it will only close the window and will not terminate the whole program.

    • Terminate all allowed instances of it

      Terminate the target program and all running instances of the program immediately.

      Only the running instances allowed by Password Door will be closed. If an instance, for example, was launched before it was protected by Password Door, then it will not be closed because Password Door doesn't have record on it.

  • When show password dialog box:

    When a password protected program is being launched, Password Door displays the password dialog box to ask for password to continue. Before it displays the password dialog box, it does additional tasks to the target program:

    • Hide the program windows (Default)

      Password Door hides all windows of the target program, so that user can not see the content of the windows before provided the correct password. This option is enabled by default.

    • Disable the program windows (Default)

      Password Door disables all windows of the target program, so that user can not access those windows before provided the correct password. This option is enabled by default.

    • Suspend the program

      Password Door suspends the program while asking for password, so that the program will stop working until user provides the correct password.

  • Exe ID:

    Use exe identity, which is always highly recommended. For more information, see EXE Identity.


Using Password Door

The main program of Password Door, is a control program for you to manage the password protection, change admin password and other settings.

The following sections introduce the user interface of the Password Door main program. Please click the following links to access topics.

Protect a Program View & Manage Protected Programs Activate/Deactivate Protection Change Admin Password Color Scheme, Font & Language Advanced Settings
  • Protect a Program
  • View & Manage Protected Programs
  • Activate/Deactivate Protection
  • Change Admin Password
  • Color Scheme, Font & Language
  • Advanced Settings
Protect a Program

When you click this button, the Protect a Program page shows, Password Door lists all the installed programs on your computer in the list box.

  • Double-click on any of the listed items, or choose an item, then click Protect..., to protect the program.

    Password Door built the installed programs list during installation. You can click Rescan installed programs to let it search for installed programs again, if new programs have been installed and were not listed here.

  • Click the browse button [image] to choose a program to protect it directly.

    You also can drag a program file (.exe) or a shortcut to program file, to the main window of Password Door to protect it.

  • It's much easier to use the target icon [image] to protect a program. You drag and drop the icon to the main window of any program you want to protect, Password Door automatically captures the program, you only need to confirm the protection.

See also Various Ways to Protect Programs.

You need to confirm the protection in the next page once you protected a program with one of the methods above. Only after you confirmed the protection (by clicking OK) the protection item then is saved and will take effect.

The installed programs list supports context menu and hotkeys. Right-clicking in the list box shows the popup menu with additional functions; the normal hotkeys such as Ctrl+F, Del can be used in the list box.

View & Manage Protected Programs

The Protection manager page will show when you click this button.

All protected programs are listed in this page, those items are called protection items.

You can manage those protection items, or add new protection items:

  • Add

    Clicking this button is same to clicking the Protect a Program in the home page, it allows you to protect a new program, in other words, add a new protection item to the list.

  • Remove (hotkey Del)

    Choose one or multiple items in the list, and then click this button to remove the selected items.

    Removing a protection item will remove the protection from the related program, unless there are multiple protection items that will protect the same program after you removed this protection item.

  • Modify (hotkey double-clicking)

    You are allowed to modify the settings of an existing protection item by clicking this button. First choose an item in the list, then click this button to modify the settings of the selected item.

    A protection item has many settings in 3 pages, you normally only need to use the settings in standard page. For more information about the settings of protection item, see Protecting Programs.

  • Enable/Disable

    A protection item can be temporarily disabled instead of being removed, so that you can reuse it later. Select a protection item, then click Disable to disable the item temporarily.

    If you selected a disabled protection item, the button becomes "Enable" and you click it will re-enable that item. After you clicked the button, you must choose a protection mode in the popup menu.

    Disabling a protection item actually is to change its protection mode to be <Disabled>.

  • Move Up/Move Down (hotkeys Ctrl+Up/Ctrl+Down)

    If advanced and/or schedule options are used in protection items, a single program can be affected by more than one protection item.

    The order of the protection items is important, Password Door always check the topmost protection item first, and then next and so on. If it found a matched item for a program, it stops checking the rest items and uses the settings in the found item directly.

    Consider this: protection item A) denies a program 8:00 AM to 6:00 PM, while protection item B) allows the same program all other hours.

    • If A) is on top of B), then A) will be first checked and Password Door will deny the program in between 8:00 AM to 6:00 PM, as you designed.
    • If A) is moved to be under B), then B) will be first checked, and Password Door won't reach A), it will allow the program always.

    So changing the order of the protection items can cause the protection being changed. And this is also why the newly added protection items are always on top of existing items: to make sure the new protection items always take affect.

    The two buttons can be used to change the order of the protection items in the list. First select one or multiple items, then click one of the buttons to move the item(s) up or down.

    See also Using Multiple Protection Items.

  • Copy/Cut/Paste (hotkeys Ctrl+C/Ctrl+X/Ctrl+V)

    Items can be copied or cut to clipboard and paste back to the list. Right-click on any item, then choose the menu item Copy, Cut or Paste.

  • Find (hotkeys Ctrl+F, F3)

    You can find a protection item in the list: right-click in the list box, then choose menu item Find...

The list box supports context menu and normal hotkeys. Right-click in the list box and a popup menu will be displayed.

Activate/Deactivate Protection

This button is a switch to deactivate the whole protection with one click, or activate the protection if the protection has been deactivated before.

Deactivating the whole protection will not remove the protection settings, it only stops all the protection and you can activate the protection by clicking this button again. Once you activated it, all protection then is back again.

Protection is automatically activated after computer rebooted even if you have deactivated it.

Change Admin Password

What is admin password and why is it so important?

  • Admin password protects the Password Door itself.

    Users can not use the main program without the admin password. If there is no admin password, anyone can use the main program of Password Door to modify the settings, remove the protection.

  • Admin password is a master password for all protected programs.

    You can always use the admin password to allow a password protected program. A separate password can be set for each of the protected programs, but admin password always is accepted by all protected programs.

  • Admin password protects the uninstaller.

    The uninstaller needs the admin password to uninstall Password Door. Users are not allowed to uninstall the software without admin password.

During installation, the Setup asked you to specify the admin password for Password Door. If you didn't set that password or if you want to change the admin password, you can click Change Admin Password to change it.

The matrix password is a new type of password supported by Password Door, any password can be a normal password or a matrix password.

Color Scheme, Font & Language
  • Color Scheme

    You can change the color scheme by clicking Color Scheme, a new page will be shown to let you select color scheme.

    There are predefined color schemes in the page, and you can click the button Custom to select a custom color too.

    Color scheme applies to the main program and all other components (password dialog boxes, notification windows etc.).

  • Font

    Click the button Font to specify the font for Password Door. The font applies to all components of Password Door.

  • Language

    Password Door supports multiple languages, you can customize your own language file, and activate it in the page Language.

    See Language Files for more information.


Advanced Settings

This section introduces the global advanced settings of Password Door, these settings affect all protected programs and all components of Password Door.

To change those settings, click Advanced Settings in the main window of Password Door.

  • Keep password dialog box always on top

    It affects the password dialog boxes of protected programs. The password dialog boxes will be always in front of other windows if you enable this option.

  • Unload kernel completely when deactivate

    By default, the kernel is still running in background to prevent the configuration from being deleted by unwanted users, after you deactivated Password Door.

    If you enable this option, the kernel will be unloaded when you deactivate Password Door. This is, the Password Door kernel (TLPD.EXE) will be closed when you click the Deactivate button.

  • Show an icon on system tray bar

    Show an icon on system tray notification area so that you can use the shortcut menu in the icon, to quickly activate/deactivate protection, without the need of using the main program.

  • Use enhanced protection mode

    Enable the enhanced protection mode. The enhanced protection mode can protect more programs, especially the programs that do not have buttons on task bar.

    This feature will use a little extra system resource, please enable it only when you have programs that can not be protected in normal protection mode.

  • Use internet time for schedule options

    Obtain the correct date time from internet time servers, then use the time with schedule options of the protection items. Thus, changing the system time will not bypass the protection because Password Door has gotten the "real" time from internet.

    • Time Servers

      Click this button to change the internet time servers. Internet time servers (SNTP) are used by Password Door to obtain the internet time. There are default time servers after the software was installed, you can add/remove time servers.

  • Display ordering numbers when input matrix password

    Matrix password is a new type of password in Password Door. By default, when a protected program asks user to input matrix password to continue, it will not show the ordering numbers of the buttons being clicked.

    With this option enabled, the ordering numbers are displayed when user clicks on the buttons.

  • Enable log

    Let Password Door log the event of allowed and denied programs. You can click View Log to open the log file to check the log information.

  • Enable notification

    Let Password Door show notification when a program is allowed or denied.

    Not all allowed/denied programs will show notification, only programs those that are automatically allowed or denied by Password Door, will popup notification.

  • More

    When you click the button More..., there are additional functions in the popup menu:

    • Reset all 'Do not ask me again'

      In Password Door main program, some message boxes have the option "do not ask me again", if the option is checked then next time the same question will not be asked. Clicking this button will reset those options so that the questions will be asked again.

    • Reset internal database

      Password Door uses the internal database to manage the programs it has allowed or denied, so that the allowed programs will not be asked for password multiple times (depending on the settings of the protection items).

      If you reset the internal database, all the records in the database are removed.

      Resetting the database will not cause the running programs to be asked for password again, it only affects the newly launched instances of the programs.

    • Set recheck countdown

      An allowed program can be rechecked automatically, if you have used advanced features or the special schedule options in the protection item. See Rechecking Allowed Programs for details.

      Password Door shows a countdown notification to ask user to save current work before it rechecks an allowed program. The allowed program can be asked for password again, or closed directly after rechecked, depending on the settings; user may lose data if the current work was not saved.

      The default countdown is 30 seconds, and can be changed by choosing this menu item. However, changing the countdown to a smaller value (e.g. 2 seconds) may result in not have enough time for users to save the work.


Miscellaneous Topics & Hints

  • Matrix Password
  • EXE Identity
  • Rechecking Allowed Programs
  • Language Files
  • Always Ask for Password
  • Special Programs
  • UAC Warning on Vista/7
  • Backup & Restore
  • Command Line Switches
Matrix Password

Matrix password is a new type of password in Password Door, it can be used for any of the protection items and/or the admin password, instead of the normal password.

When you change the admin password, or the password for a protection item, you can always click Set Matrix Password to switch to matrix password and define one.

You click some of the buttons to define a matrix password, the final matrix password is defined by:

  • The selected (highlight) buttons and,
  • The order (sequence) the buttons were clicked.

Once a matrix password has been defined, when users try to input it to use a protected program, the same buttons must be clicked in the order exactly same to the order when you defined it.

In the example in this section, users must click the buttons in the order (row, column): (2, 3), (4, 2), (1, 1), (1, 5), (4, 5), to correctly input the matrix password.

By default, the ordering numbers only will be displayed when you define the matrix passwords; they won't be displayed when a protected program asks for the matrix password and user clicks on the buttons.

You can let it always show the ordering numbers by enabling the option "Display ordering numbers when input matrix password" in the global advance settings.

EXE Identity

Every program file (.exe) is different to others, the exe identity (exe ID) is the checksum of a program file. With exe ID, Password Door can identify a program even if it was renamed or was moved to another location.

Exe ID is one of the key features of Password Door, it is always recommended to enable it for all protection items. Without this feature, users can simply break the protection by renaming the protected program, unless a filter is also used in the protection item.

The exe ID is enabled for every newly created protection item by default.

To enable/disable exe ID for a protection item, click Advanced in the protection item window, then scroll the tree view on the page, the last option in the tree view is "Enable exe identity".

Rechecking Allowed Programs

Password Door can recheck the protection for already allowed programs, to decide if those programs can still be allowed.

Allowed programs will be rechecked if any of the following becomes true:

  • The advanced option Limit use time per day of the protection item was set to nonzero and the use time has reached the limit.
  • The advanced option Recheck allowed programs when idle of the protection item was set to nonzero and the system idle time reached the value.
  • The schedule option is enabled in the protection item, and the option under "What to do in disabled hours" is Skip and recheck allowed programs or Deny and recheck allowed programs; and the current time is in disabled hours.

Once Password Door decides to recheck a program for protection, it first displays a countdown notification on the screen, users should save the current work with the program immediately.

Then after the countdown finished, it starts to recheck the protection. The program can be asked for password again if the protection mode for it is "Password Protect", or be terminated directly if the protection mode has been changed to "Deny", or allow the program to continue to be used if the program is allowed in the current settings.

In other words, Password Door checks the program again as for the first time the program was launched, but the current settings are used because the settings may have been changed after you allowed the program.

An allowed program can be terminated after rechecked, so users must save the current work before Password Door rechecks the program. Otherwise, users may lose data because they don't have chance to save the work once the rechecking progress begins.

Language Files

Password Door supports multiple languages. To select a different language file, click Language on main window, then choose a language in the list, and click OK to activate it.

English Internal is not a language file, it is the built-in, default language and can always be used even there is no any language file.

All language files are in the sub-folder Lang of Password Door installation folder, which normally is "C:\Program Files\Password Door\Lang".

After Password Door installed, there is only a language template English.ini. To create your own language file, duplicate the English.ini and rename the duplicated copy to a different name such as "French.ini", and then modify it. The key [Info]Name must be modified to tell the name of the new language file.

You are more than welcome to share your language file with other users. If you want to share your language file, send us a copy via email (as an attachment), and we will publish it on our website. You can download language files shared by other users on our website too.

To download existing language files or share yours:
http://www.toplang.com/mlang/

More information about creating language files:

  • Do not delete the English.ini or modify it directly, it is a template and should be kept.
  • Variables can be used in language items as shown in the example English.ini, a variable is always in the format %variable%, Password Door replaces a variable with the string it points to:
    • %[section]key%:

      The variable points to the key under the section.

    • %key%:

      The variable points to the key under current section or the [Global] section.

      It first searches for the key under current section, then it searches for the same key under [Global] if it could not find one under current section.

    • %AppName%:

      This is a special variable which will always be replaced by the product name "Password Door".

  • The created or downloaded language files must be all in the sub-folder Lang as the English.ini, so that Password Door can see them and allow you to activate one of them.
Always Ask for Password

This section shows how to use the feature "always ask for password".

If a program is password protected, it normally only asks for password for one time, once you have entered the correct password, it is allowed and will be always allowed until you close the program completely.

You don't want to be bothered to enter your password every time you open a new window in the program, since you have already allowed the program.

If you just want a program to always ask for password for each new window, that can be done by changing one of the advanced options of the protection item however.

In the Advanced page of a protection item, under the section "If a program is allowed:" in the tree view, you can choose "Always ask for password for each window ", then the target program will be always asked for password after you confirm the change.

The option only affects the "Password Protect" protection items; and it won't affect the running programs, you must close all allowed instances of the program for the option starting to work.

Special Programs

Most programs can be protected with the default settings of protection items without the need of any change. Only a few programs must be protected with different settings other than the default for better result.

You can change the settings of any protection item to try different settings combination and find out what settings are the best for those programs, but it will be much better if Password Door can do it automatically.

In order to handle the special programs, Password Door uses two methods:

  • Drag & drop Intelligent:

    When you drag the icon [image] to any window to protect the target program, Password Door automatically checks the program and use best settings for the special programs.

    For example, if a program is launched by rundll32.exe or dllhost.exe , the target program is not the rundll32.exe or dllhost.exe themselves, those are only the loaders. Password Door then will automatically add a filter to the protection item to protect the real target program.

    This is built-in feature, you can not customize it, and it only works when you drag the icon to a window of target program, so using this drag and drop feature is always the most recommended method to protect a program.

  • Predefined special programs:

    There is this file PDSpec.ini in the program folder of Password Door after you installed it. The file contains the special settings about possible special programs we have found in our tests.

    When you protect a program, the settings in that file are first checked and Password Door will automatically use those settings for the special programs to provide better protection.

    You can customize that file to add your own special programs. With the help information about each setting in that file, it is not so hard to add new entries to the file.

The special settings will apply only when a new protection item is created, they will not be checked for existing protection items. If you change the settings of any existing protection item, even change the target program in the protection item, the special settings will not be checked again.

UAC Warning on Vista/7

UAC (User Account Control) in Windows Vista/7 and later, forces any user account to be as limited account; even you have administrator right, you are still a limited user with UAC enabled. Thus, you don't have permission to write data to system registry database and folders, Windows will elevate your account and ask you to confirm when you need the administrator permissions (a.k.a. "Run as Administrator").

Password Door fully supports UAC, it won't need your account to be elevated as long as you use the main program under an administrator account (even the account is in limited mode).

Sometimes, if you use the main program under a standard account, or it could not save the configuration or registration code, it may ask elevating your account to save the data.

When this happens, please allow it to be run as administrator, Password Door will try to fix any problem, and the next time you use the main program, it won't need to be run as administrator anymore.

Backup & Restore

With the command line switches feature, which is described in the next section, you can backup your configuration, and restore it back to the Password Door later at any time.

The command line switch for backing up is /Backup=File name, and for restoring is /Restore=File name. You must also provide the admin password in the command line with /PWD=password.

  • Backup:

    "C:\Program Files\Password Door\PassDoor.exe" /Backup= "D:\My folder\My file.dat" /PWD="My password"

  • Restore:

    "C:\Program Files\Password Door\PassDoor.exe" /Restore= "D:\My folder\My file.dat" /PWD="My password"

See the following section for more information about the command line switches.

Command Line Switches

Password Door supports various command line switches, you can use the switches to control password protection, backup/restore the configuration, and so on. You can use those switches in a Command Prompt (cmd) window or use them in a command script (.bat or .cmd) file.

The switches should be used with the main program of Password Door (PassDoor.exe), for example:

"C:\Program Files\Password Door\PassDoor.exe" /Enable

If a switch has value, the value should be quoted when the value has space characters in it, for example, /PWD="password with space"

Command line switches:

  • /PWD="the admin password"

    This switch is an additional switch which normally should be provided in addition to other switches. Most of the other command line switches need the admin password to perform the task.

    Important Note: The admin password in this switch, should be always the admin password in current configuration of Password Door.

  • /Enable

    Activate the protection. It is equal to clicking the "Activate Protection" on main window of Password Door.

    This switch does NOT need admin password (/PWD).

  • /Disable[=Unload]

    Deactivate the protection.

    If you use the switch as /Disable=Unload, it forces the kernel to be unloaded when the protection is deactivated, no matter if the advanced settings has the option "Unload kernel completely when deactivate" enabled or not.

    If you use the switch as /Unload, then it is equal to clicking the "Deactivate Protection" on main window of Password Door.

    When use this switch, the admin password must also be provided in /PWD.

  • /Backup="file name"

    Backup current configuration to the file you specified. The admin password must be provided in /PWD.

  • /Restore="file name"

    Restore the configuration backup file to Password Door. The admin password must be provided in /PWD.

    When use this switch, the admin password provided with /PWD, is the admin password in the current configuration of Password Door, NOT the admin password in the configuration backup file.

  • /SetPass="the new password"
  • /ScanPrograms

    These switches actually are used internally by the installer, but you can use them if you want.

    /SetPass can be used to set a new admin password to Password Door, and /ScanPrograms can be used to let Password Door rescan installed programs, they all need the admin password in /PWD.


Support & Purchasing

If you have any question or suggestion about the software, please feel free to contact us via email, or use our online support system.

  • TopLang website:

    http://www.toplang.com

  • Password Door:

    http://www.toplang.com/passworddoor.htm

  • Support email:

    support@toplang.com

  • Online support system:

    http://www.toplang.com/support/contact.htm?id=passworddoor

Ordering Password Door

Password Door is not a freeware, the trial version you downloaded on our website or other download sites, is for evaluation purpose. If it is useful to you, please purchase the software.

Purchase Password Door:

http://www.toplang.com/order.php?id=passworddoor

When you purchase the software on our website, the discounts will apply to multiple licenses and special licenses, for detail information:

http://www.toplang.com/purchase/price.htm?id=passworddoor

Registering Password Door

Your registration code will be created and sent to you via email immediately, after you place an order.

The registration code is for registering the trial version to convert it to paid version. You don't need to download a different copy, the trial version will become paid version after you entered the registration to it.

To register the software, click Register on the main window of Password Door, and then copy and paste your registration name and code to the input boxes, click OK to activate the registration.

If you can not find the button Register on the main window, the software has already been registered. You can click About Password Door to review current registration name.